Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229441 - Can't resolve dependencies
Summary: Can't resolve dependencies
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 03:56 UTC by Amadeus
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-21 03:59:40 UTC


Attachments (Terms of Use)

Description Amadeus 2007-02-21 03:56:35 UTC
Description of problem:
yum gives the following error, which is a huge problem, as it blocks every other
package from being updated, as it can't resolve the problem of its own.

~# yum update 
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package tcsh.i386 0:6.14-14 set to be updated
---> Package tk.i386 1:8.4.13-4.fc7 set to be updated
---> Package tcl.i386 1:8.4.13-10.fc7 set to be updated
---> Package gutenprint.i386 0:5.0.0-5.fc7 set to be updated
--> Running transaction check
--> Processing Dependency: libtk8.5.so for package: R
--> Processing Dependency: libtcl8.5.so for package: R
--> Finished Dependency Resolution
Error: Missing Dependency: libtk8.5.so is needed by package R
Error: Missing Dependency: libtcl8.5.so is needed by package R
~#

Comment 1 Seth Vidal 2007-02-21 03:59:40 UTC
you're updating against a rawhide/development mirror where the tk/tcl bindings
are broken. They were broken for quite some time in rawhide.

Comment 2 Amadeus 2007-02-21 04:05:50 UTC
Are there anything I can do to workaround it, so I can continue to use use/test fc7?


Comment 3 Seth Vidal 2007-02-21 04:08:47 UTC
yum --exclude=tk\* --exclude=tcl\* update


Comment 4 Bill Nottingham 2007-03-02 17:31:22 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.


Note You need to log in before you can comment on or make changes to this bug.